[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted qtwebkit 2.3.2.dfsg-1 (source amd64) into unstable



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 02 Sep 2014 18:33:38 -0300
Source: qtwebkit
Binary: libqtwebkit-dev libqtwebkit4 libqtwebkit-qmlwebkitplugin libqtwebkit4-dbg
Architecture: source amd64
Version: 2.3.2.dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Description:
 libqtwebkit-dev - Web content engine library for Qt - development files
 libqtwebkit-qmlwebkitplugin - Qt WebKit QML plugin
 libqtwebkit4 - Web content engine library for Qt
 libqtwebkit4-dbg - Web content engine library for Qt - debugging symbols
Closes: 755396 756098
Changes:
 qtwebkit (2.3.2.dfsg-1) unstable; urgency=medium
 .
   [ Andreas Cord-Landwehr ]
   * New upstream release: QtWebKit 2.3 is a backport of QtWebkit for
     Qt 5 to Qt 4 (Closes: #755396)
   * Update patches:
     - remove Fix_build_with_GLib_2.31_changeset_r97269, applied upstream
     - remove upstream_changeset_r93631.diff, applied upstream
     - remove upstream_changeset_r113848.diff, applied upstream
     - remove upstream_Build-fixes-for-glib-2.31.diff, applied upstream
     - add build fix: upstream_changeset_119798.patch
     - remove 01_lflags_as-needed.diff
       and set --as-needed linker flag, to avoid useless linking, in debian/rules
     - remove stabs_format_debug_info.diff, flags set in debian/rules
     - new patch hide_wtf_symbols.diff, to hide WTF symbols
     - new patch hide_jsc_symbols.diff, to hide JSC symbols
   * Switch to building with ./Tools/Scripts/build-webkit as recommended
     by upstream
   * Build with gstreamer-1.x: (Closes: #756098)
     - bump build dependencies to
       - libgstreamer-plugins-base1.0-dev
       - libgstreamer1.0-dev
     - add patch gstreamer-1.0.diff
   * Add flex and bison build-dependencies
   * Add ruby build-dependency
   * Add libfontconfig build-dependency
   * Add libjpeg build dependency.
   * Bump standards version to 3.9.5, no changes needed
   * Update copyright file.
   * Remove sourceless files from tarball.
 .
   [ Lisandro Damián Nicanor Pérez Meyer ]
   * Acknowledge previous NMU (thanks Matthias!).
     - Remove ignore-new_gcc_warnings.diff introduced in the NMU, as the code
       that it patches is no longer there.
   * The source package needs to be repackaged to comply with the DFSG, so
     adding .dfsg to the version. Note we can't use +dfsg because the build
     system doesn't likes it.
Checksums-Sha1:
 87e73974ea71b388d57b42fe6d3ce07be8787517 2528 qtwebkit_2.3.2.dfsg-1.dsc
 74c52b1a1721711df263f807efd13579d41edeb6 34262652 qtwebkit_2.3.2.dfsg.orig.tar.xz
 0479202a458cc5ec3066541e21add237d587ba7d 78900 qtwebkit_2.3.2.dfsg-1.debian.tar.xz
 6aaf71522f844ffd241aba9d9e2254689515aaac 113338 libqtwebkit-dev_2.3.2.dfsg-1_amd64.deb
 5d14d4b6b39a539e3fc42be8f98fc742351a575f 8898486 libqtwebkit4_2.3.2.dfsg-1_amd64.deb
 93da1f75491a7415d9b4f11483f1034c6955b3a6 121366 libqtwebkit-qmlwebkitplugin_2.3.2.dfsg-1_amd64.deb
 bd4452a0707e2301871367d70f47963c915ad3eb 34050248 libqtwebkit4-dbg_2.3.2.dfsg-1_amd64.deb
Checksums-Sha256:
 59e19971994ef5a46ecc5be3fe0cddd70183f6ffc5f40b7460192c0012880f83 2528 qtwebkit_2.3.2.dfsg-1.dsc
 70c9fe2f7bb4e9b7ce6a0222c37924c0fdd1b7e9dc595c0282c33ad93865d86c 34262652 qtwebkit_2.3.2.dfsg.orig.tar.xz
 4ebe5b86dd892c4dda1cb699d06a13d7bf592a3b72c1e209416c9dee4f84dc41 78900 qtwebkit_2.3.2.dfsg-1.debian.tar.xz
 101d61e4a41e50a608c3f2161295498563fa9de650f401df8eb82ea26805efde 113338 libqtwebkit-dev_2.3.2.dfsg-1_amd64.deb
 2c9d36a236a51d3aa1c9c7cde35ccfbc0251f3a2f3c0ee9192cee7ab99dc9473 8898486 libqtwebkit4_2.3.2.dfsg-1_amd64.deb
 77d6fb572832c9878f523dfe44272ad1a99c30ca91d39a3161e98378562153d5 121366 libqtwebkit-qmlwebkitplugin_2.3.2.dfsg-1_amd64.deb
 d3e48caa367a9c362d64306ff15d3ecf22db7ec92793a9038349f50c5e43bd17 34050248 libqtwebkit4-dbg_2.3.2.dfsg-1_amd64.deb
Files:
 c5fd2ccdaec3776356140ed1d52a53cf 113338 libdevel optional libqtwebkit-dev_2.3.2.dfsg-1_amd64.deb
 bbdb324c0bf03d5cbb12c8fffb2ba88e 8898486 libs optional libqtwebkit4_2.3.2.dfsg-1_amd64.deb
 419823402d19cf0bdeac5ca8494a7076 121366 libs optional libqtwebkit-qmlwebkitplugin_2.3.2.dfsg-1_amd64.deb
 e4d17bd252ef446616e63debd7b1d0be 34050248 debug extra libqtwebkit4-dbg_2.3.2.dfsg-1_amd64.deb
 18fd4d14b3ce4381df9f66d50be5c51b 2528 libs optional qtwebkit_2.3.2.dfsg-1.dsc
 6e856b3a257bbe4e118ef45be7809f02 34262652 libs optional qtwebkit_2.3.2.dfsg.orig.tar.xz
 91e704d9bbedde99bf82cec423772072 78900 libs optional qtwebkit_2.3.2.dfsg-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJUBo1SAAoJEKtkX0BihqfQIL8P/0JOAumulmGPsaqFfioM5kQe
j80k1yhkZlkxapI3rYeWuAFHT/Zc6p0izmhiyriVzPss7wrnW97xlmBdCrie+jvn
+tbYMbO2e4KB0f4CWd2rrICbOE3HNm1qIAewSe99jquraAaf+VxfXVlcTokMqhFH
70hGEVl/w/WrceqDqri5myV5FCXac2bp8CoQptDQzJtbk4vHEdTFW5EHedHOKjGt
tJPis1ml8jkKXVmdL2NlwVJQd8oPB6FkqvW8dgqrU49bx1uyEuyMEQpinRPBu3w9
d02hq0tYkJmHsaHrgAP9tM3EMVkSfKeDsyurO3igQQdnalUTWQyOV5eiz4Zr0FOC
m6BxOMDD8QM/i6BLykkJica0k3xCySNeni4odUoVYqXfncWGJUmKjdnMWOpYCoS/
PYYtzxk6e6A/yzGkHZ8heAibpPb5azLvylL6MB0CiZ5FulAwk12DMkVlWo3VeT9o
L9OZcAoAU3XotnaGKy0/UIafmpeqPguV2abw9dr8ZA12sjEld/CcSVSWMptvqRA1
dxp2KuwE/5blwIAYb2AdZOIxG7RXjQoQkHgbrTCd0WrAQ9TWlrgFx+5RERin1hbU
IQYrB9crh0LkiAz/UQGKjNQLbYdqy1PIfNNyyq4lkX6K/I2CxWmEjnxMAOK9+Ktl
UxJDS7uTq590r2Yl6v0H
=6C8D
-----END PGP SIGNATURE-----


Reply to: